%define	name	gif2png
%define	version	2.4.2
%define	release	1
%define	serial	1
%define	prefix	/usr

Summary:	gif2png -- GIF to PNG graphics file conversion.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Prefix:		%{prefix}
Copyright:	MIT-like
Group:		Applications/Publishing
URL:		http://www.tuxedo.org/~esr/gif2png/
Vendor:		Eric S. Raymond <esr@thyrsus.com>
Source:		%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}
Requires:	python >= 1.5.2

%description 
The gif2png program converts files from the patent-encumbered Graphic
Interchange Format to Portable Network Graphics.

This distribution also supplies web2png, a Python front end for
gif2png which automagically converts entire web hierarchies (the
graphics files themselves and references to them in web pages).

%prep
%setup -q

%build
%configure --prefix=%{prefix}

make

%install
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};
mkdir -p ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
[ -d ${RPM_BUILD_ROOT} ] && rm -rf ${RPM_BUILD_ROOT};

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{prefix}/bin/gif2png
%{prefix}/bin/web2png
%{prefix}/man/man1/gif2png.1*
%{prefix}/man/man1/web2png.1*

%changelog
* Mon Mar 12 2000 Ryan Weaver <ryanw@infohwy.com>
  [gif2png-2.4.2-1]
- Mac porting fixes from Paul Matzke <pmatzke@macline.com>.

* Thu Mar  1 2000 Ryan Weaver <ryanw@infohwy.com>
  [gif2png-2.4.1-1]
- Update to use the post-0.8.9 initialization code, so it
  will play nice with shared libraries.

  [gif2png-2.4.0-1]
- Added -t option to enable conversion of transparent images.

  [gif2png-2.3.3-1]
- Handle malformed (zero-length) GIF comments without coredumping.
  This was Debian bug #59830

* Mon Feb 28 2000 Ryan Weaver <ryanw@infohwy.com>
  [gif2png-2.3.2-1]
- Bug fix for aspect-ratio handling
  (Glenn Randers-Pehrson <glennrp@home.com>)

* Mon Feb  7 2000 Ryan Weaver <ryanw@infohwy.com>
  [gif2png-2.3.1-1]
- No more direct assignments of the PNG info structure members,
  it's all done through the API now.

* Thu Jan  6 2000 Ryan Weaver <ryanw@infohwy.com>
  [gif2png-2.3.0-1]
- Cosmetic cleanup for stable release.

* Fri Dec 10 1999 Ryan Weaver <ryanw@infohwy.com>
  [gif2png-2.2.5-1]
- Deal gracefully with files that have leading numerics in the name.
- Bernhard Reiter's fix to use relative pathnames.

